Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.impl
Class ADiffuseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.act.impl.AActImpl
                          org.metaabm.act.impl.ASelectImpl
                              org.metaabm.act.impl.ADiffuseImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AAct, ADiffuse, ARoot, ASelect, IAct, IID

    public class ADiffuseImpl

extends ASelectImpl
implements ADiffuse

An implementation of the model object ' ADiffuse'.

The following features are implemented:

- `Diffused`
- `Diffusion Rate`
- `Evaporation Rate`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected SAttribute` | `diffused` The cached value of the '`Diffused`' reference.
`protected SAttribute` | `diffusionRate` The cached value of the '`Diffusion Rate`' reference.
`protected SAttribute` | `evaporationRate` The cached value of the '`Evaporation Rate`' reference.

Fields inherited from class org.metaabm.act.impl.ASelectImpl
`agent, for_, FOR_EDEFAULT, space`

Fields inherited from class org.metaabm.act.impl.AActImpl
`selected, sources, targets`

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `ADiffuseImpl()`

Method Summary
`SAttribute` | `basicGetDiffused()`
`SAttribute` | `basicGetDiffusionRate()`
`SAttribute` | `basicGetEvaporationRate()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`SAttribute` | `getDiffused()`
`SAttribute` | `getDiffusionRate()`
`SAttribute` | `getEvaporationRate()`
`void` | `setDiffused(SAttribute newDiffused)`
`void` | `setDiffusionRate(SAttribute newDiffusionRate)`
`void` | `setEvaporationRate(SAttribute newEvaporationRate)`

Methods inherited from class org.metaabm.act.impl.ASelectImpl
`basicGetAgent, basicGetSpace, getAgent, getFor, getSpace, isReachable, setAgent, setFor, setSpace, toString`

Methods inherited from class org.metaabm.act.impl.AActImpl
`basicGetReference, basicGetRootSelected, basicGetSelected, basicSetGroup, computeAllSources, computeAllTargets, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isTargetOf, references, setGroup, setSelected`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setID, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### diffused

    protected SAttribute diffused

  The cached value of the '`Diffused`' reference.

  See Also:
    `getDiffused()`

### diffusionRate

    protected SAttribute diffusionRate

  The cached value of the '`Diffusion Rate`' reference.

  See Also:
    `getDiffusionRate()`

### evaporationRate

    protected SAttribute evaporationRate

  The cached value of the '`Evaporation Rate`' reference.

  See Also:
    `getEvaporationRate()`

Constructor Detail

### ADiffuseImpl

    protected ADiffuseImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ASelectImpl`

### getDiffused

    public SAttribute getDiffused()

  Specified by:
    `getDiffused` in interface `ADiffuse`
  Returns:
    the value of the 'Diffused' reference.
  See Also:
    `ADiffuse.setDiffused(SAttribute)`, `MetaABMActPackage.getADiffuse_Diffused()`

### basicGetDiffused

    public SAttribute basicGetDiffused()

### setDiffused

    public void setDiffused(SAttribute newDiffused)

  Specified by:
    `setDiffused` in interface `ADiffuse`
  Parameters:
    `newDiffused` - the new value of the 'Diffused' reference.
  See Also:
    `ADiffuse.getDiffused()`

### getDiffusionRate

    public SAttribute getDiffusionRate()

  Specified by:
    `getDiffusionRate` in interface `ADiffuse`
  Returns:
    the value of the 'Diffusion Rate' reference.
  See Also:
    `ADiffuse.setDiffusionRate(SAttribute)`, `MetaABMActPackage.getADiffuse_DiffusionRate()`

### basicGetDiffusionRate

    public SAttribute basicGetDiffusionRate()

### setDiffusionRate

    public void setDiffusionRate(SAttribute newDiffusionRate)

  Specified by:
    `setDiffusionRate` in interface `ADiffuse`
  Parameters:
    `newDiffusionRate` - the new value of the 'Diffusion Rate' reference.
  See Also:
    `ADiffuse.getDiffusionRate()`

### getEvaporationRate

    public SAttribute getEvaporationRate()

  Specified by:
    `getEvaporationRate` in interface `ADiffuse`
  Returns:
    the value of the 'Evaporation Rate' reference.
  See Also:
    `ADiffuse.setEvaporationRate(SAttribute)`, `MetaABMActPackage.getADiffuse_EvaporationRate()`

### basicGetEvaporationRate

    public SAttribute basicGetEvaporationRate()

### setEvaporationRate

    public void setEvaporationRate(SAttribute newEvaporationRate)

  Specified by:
    `setEvaporationRate` in interface `ADiffuse`
  Parameters:
    `newEvaporationRate` - the new value of the 'Evaporation Rate' reference.
  See Also:
    `ADiffuse.getEvaporationRate()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ASelectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ASelectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ASelectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ASelectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD